Download it now!
Bug 83387 - FORMATTING: Adjusting line color does not adjust icon color in preview
Summary: FORMATTING: Adjusting line color does not adjust icon color in preview
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: needsDevEval
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-09-02 07:08 UTC by Sebastian Werk
Modified: 2019-10-22 16:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Werk 2014-09-02 07:08:32 UTC
Problem description: When a new line color is selected, the color of the icon is not updated in preview.

Steps to reproduce:
1. Create a line chart with dots and lines
2. Select one line and format the data row
3. Change line color

Current behavior: The icon for dots in the preview remains in the old color (but is correctly applied, when OK is clicked).

Expected behavior: The color of the icon for dots should be updated immediately .

Not sure, if I should file another bug report, but there are some other minor bugs/unexpected behaviors:
- The icon has a border in preview, but not in the diagram
- By using the up/down buttons of line, size is increased by 0.1cm, using those of the icon only by 0.05cm. Usually, the line should be finer adjustable, so maybe those values should be switched or both set to 0.05cm.
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 ign_christian 2014-09-02 16:42:25 UTC
> Current behavior: The icon for dots in the preview remains in the old color
> (but is correctly applied, when OK is clicked).
Confirm reproducible with LO 4.2.6.3, 3.3.0.4 - Ubuntu 12.04 x86

> Not sure, if I should file another bug report, but there are some other
> minor bugs/unexpected behaviors:
> - The icon has a border in preview, but not in the diagram
I think lets keep that issue with this report, unless a dev request to do so.

> - By using the up/down buttons of line, size is increased by 0.1cm, using
> those of the icon only by 0.05cm. Usually, the line should be finer
> adjustable, so maybe those values should be switched or both set to 0.05cm.
Perhaps you should file a new enhancement request. Doesn't look like a bug :)
Comment 2 Joel Madero 2014-09-02 16:44:44 UTC
Confirmed:
Bodhi Linux 2.x
LibreOffice 4.3.1.2 release

New - confirmed
Trivial - won't prevent nor really slow down professional quality work. Click okay and you're good to go.
Lowest - I really can't imagine this impacting anyone's work.


As for separate issues - please report them separately.
Comment 3 QA Administrators 2015-09-04 02:48:19 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-11-19 08:44:22 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 5 Robinson Tryon (qubit) 2015-12-14 06:08:42 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-10-23 14:03:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug